# Uses of Interface
org.apache.commons.codec.language.bm.Rule.PhonemeExpr

Packages that use Rule.PhonemeExpr
Package
Description
org.apache.commons.codec.language.bm
Implementation details of the Beider-Morse codec.

- ## Uses of Rule.PhonemeExpr in org.apache.commons.codec.language.bm

  Classes in org.apache.commons.codec.language.bm that implement Rule.PhonemeExpr
  Modifier and Type
  Class
  Description
  `static final class`
  `Rule.Phoneme`
  A phoneme.
  `static final class`
  `Rule.PhonemeList`
  A list of phonemes.
  Methods in org.apache.commons.codec.language.bm that return Rule.PhonemeExpr
  Modifier and Type
  Method
  Description
  `Rule.PhonemeExpr`
  Rule.`getPhoneme()`
  Gets the phoneme.
  Constructors in org.apache.commons.codec.language.bm with parameters of type Rule.PhonemeExpr
  Modifier
  Constructor
  Description
  ``
  `Rule(String pattern, String lContext, String rContext, Rule.PhonemeExpr phoneme)`
  Creates a new rule.